=== debian/changelog ===
kup-backup (0.6.1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #851529)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 22 Apr 2017 00:21:20 +0200
