=== debian/control ===
Source: kup-backup
Section: kde
Priority: optional
Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake,
               debhelper (>= 9),
	       extra-cmake-modules,
               kinit-dev,
               libgit2-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5solid-dev,
               libkf5idletime-dev,
               libkf5notifications-dev,
               libkf5iconthemes-dev,
               libkf5config-dev,
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://www.linux-apps.com/p/1127689/
Vcs-Git: https://framagit.org/thomaspierson/pkg-kup-backup.git
Vcs-Browser: https://framagit.org/thomaspierson/pkg-kup-backup/

Package: kup-backup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bup, rsync
Description: backup tool for KDE's Plasma desktop
 Kup is a backup tool for KDE's Plasma desktop created for helping people to
 keep up-to-date backups of their personal files.
 .
 Features :
  - Incremental backup archive with the use of "bup".
  - Synchronized folders with the use of "rsync".
  - Support for local filesystem or external usb storage.
  - Monitor availibilty of backup destination.
  - Integration into KDE's Plasma desktop.
