## kup-backup 0.7.1%2Bdfsg

=== debian/changelog ===
kup-backup (0.7.1+dfsg-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 22 Jan 2021 11:46:24 +0800

kup-backup (0.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Move Vcs repository links to salsa.

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 12 Jan 2018 15:23:01 +0100

kup-backup (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the use-system-libgit2 patch now integrated by upstream.
  * Add cmake option USE_SYSTEM_LIBGIT2 to debian/rules.
  * Bump Standards-Version to 4.1.1.
  * Add a new build-depends on libkf5plasma-dev.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 12 Nov 2017 19:40:07 +0100
