=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 rsyncjob.cpp
 ../settings/backupplan.cpp
 ../settings/kupsettings.cpp
+../settings/kuputils.cpp
 )
 
 kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})
@@ -30,6 +31,7 @@
 KF5::Notifications
 KF5::CoreAddons
 KF5::DBusAddons
+KF5::JobWidgets
 )
 
 ########### install files ###############
