=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 include_directories("../daemon")
+include_directories("../kcm")
 include_directories("../kioslave")
+include_directories("../settings")
 
 set(filedigger_SRCS
 filedigger.cpp
@@ -12,6 +14,7 @@
 versionlistmodel.cpp
 ../kioslave/vfshelpers.cpp
 ../kcm/dirselector.cpp
+../settings/kuputils.cpp
 )
 
 add_definitions(-fexceptions)
@@ -25,7 +28,8 @@
 KF5::KIOFileWidgets
 KF5::I18n
 KF5::IconThemes
-git24kup
+KF5::JobWidgets
+${libgit_link_name}
 )
 
 ########### install files ###############
