=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    sc-apps-kup.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
