=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Qt5::Core
 KF5::KIOCore
 KF5::I18n
-git24kup
+${libgit_link_name}
 )
 
 install(TARGETS kio_bup DESTINATION ${PLUGIN_INSTALL_DIR})
