=== debian/changelog ===
kup-backup (0.7.1+dfsg-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:38 +0100

kup-backup (0.7.1+dfsg-1build2) focal; urgency=medium

  * No-change rebuild against libgit2-28

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Nov 2019 06:22:23 +0000

kup-backup (0.7.1+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild against the latest libgit2

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 May 2018 23:01:14 +0000
