=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kup-backup
 Section: kde
 Priority: optional
-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake,
                debhelper (>= 9),
 	       extra-cmake-modules,
@@ -11,16 +12,17 @@
                libkf5dbusaddons-dev,
                libkf5i18n-dev,
                libkf5kio-dev,
+               libkf5plasma-dev,
                libkf5solid-dev,
                libkf5idletime-dev,
                libkf5notifications-dev,
                libkf5iconthemes-dev,
                libkf5config-dev,
                qtbase5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.linux-apps.com/p/1127689/
-Vcs-Git: https://framagit.org/thomaspierson/pkg-kup-backup.git
-Vcs-Browser: https://framagit.org/thomaspierson/pkg-kup-backup/
+Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup.git
+Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup
 
 Package: kup-backup
 Architecture: any
