=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
        -DUSE_SYSTEM_LIBGIT2=ON

override_dh_auto_test:
