=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,13 @@
 ../settings/kuputils.cpp
 )
 
+ecm_qt_declare_logging_category(kupdaemon_SRCS
+    HEADER kupdaemon_debug.h
+    IDENTIFIER KUPDAEMON
+    CATEGORY_NAME kup.daemon
+    DEFAULT_SEVERITY Warning
+)
+
 kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})
 target_link_libraries(kdeinit_kup-daemon
 Qt5::Core
@@ -27,11 +34,11 @@
 KF5::KIOFileWidgets
 KF5::IdleTime
 KF5::I18n
+KF5::JobWidgets
 KF5::Solid
 KF5::Notifications
 KF5::CoreAddons
 KF5::DBusAddons
-KF5::JobWidgets
 )
 
 ########### install files ###############
