=== debian/changelog ===
kup-backup (0.7.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 01 May 2020 10:41:13 +0200
