=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 include_directories("../daemon")
 include_directories("../kcm")
 include_directories("../kioslave")
@@ -34,9 +38,9 @@
 KF5::KIOCore
 KF5::KIOFileWidgets
 KF5::I18n
-KF5::IconThemes
 KF5::JobWidgets
-${libgit_link_name}
+KF5::WidgetsAddons
+LibGit2::LibGit2
 )
 
 ########### install files ###############
