=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_install_icons(ICONS
    sc-apps-kup.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
