=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 include_directories("../settings")
 include_directories("../daemon")
@@ -31,6 +34,7 @@
 KF5::KIOFileWidgets
 KF5::Solid
 KF5::I18n
+KF5::WidgetsAddons
 )
 
 ########### install files ###############
