=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 set(bupslave_SRCS
 bupslave.cpp
@@ -17,7 +20,7 @@
 Qt5::Core
 KF5::KIOCore
 KF5::I18n
-${libgit_link_name}
+LibGit2::LibGit2
 )
 
 install(TARGETS kio_bup DESTINATION ${PLUGIN_INSTALL_DIR})
