=== debian/changelog ===
kup-backup (0.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #971566).
  * No need to repackage upstream for dfsg anymore.
  * Remove obsolete USE_SYSTEM_LIBGIT2 option in debian/rules.
  * Bump Standards-Version to 4.5.0 and debhelper-compat to 13.
    (Closes: #944881)
  * Update debian/copyright file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 05 Oct 2020 10:13:08 +0200
