=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kup-backup
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
+Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
 	       extra-cmake-modules,
                kinit-dev,
                libgit2-dev,
@@ -19,7 +18,7 @@
                libkf5iconthemes-dev,
                libkf5config-dev,
                qtbase5-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.linux-apps.com/p/1127689/
 Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup.git
 Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup
