## kup-backup 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,12 +43,11 @@
 add_subdirectory(filedigger)
 add_subdirectory(kcm)
 add_subdirectory(kioslave)
+add_subdirectory(purger)
 
+ecm_qt_install_logging_categories(EXPORT kup DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")
 plasma_install_package(plasmoid org.kde.kupapplet)
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kup.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
