=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
     IDENTIFIER KUPDAEMON
     CATEGORY_NAME kup.daemon
     DEFAULT_SEVERITY Warning
+    EXPORT kup
+    DESCRIPTION "Kup Daemon"
 )
 
 kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})
