=== dataengine/CMakeLists.txt ===
--- 
+++ 
@@ -22,5 +22,5 @@
 
 install(TARGETS plasma_engine_kup DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
 install(FILES plasma-dataengine-kup.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
-install(FILES kupservice.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)
+install(FILES kupservice.operations kupdaemonservice.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)
