=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,8 @@
     IDENTIFIER KUPFILEDIGGER
     CATEGORY_NAME kup.filedigger
     DEFAULT_SEVERITY Warning
+    EXPORT kup
+    DESCRIPTION "Kup Filedigger"
 )
 
 add_definitions(-fexceptions)
