=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
     IDENTIFIER KUPKIO
     CATEGORY_NAME kup.kio
     DEFAULT_SEVERITY Warning
+    EXPORT kup
+    DESCRIPTION "Kup KIO slave for bup"
 )
 
 add_library(kio_bup MODULE ${bupslave_SRCS})
