=== debian/changelog ===
kup-backup (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the Homepage in debian/control file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 21 Feb 2022 22:43:33 +0100
