=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5config-dev,
                qtbase5-dev
 Standards-Version: 4.5.0
-Homepage: https://www.linux-apps.com/p/1127689/
+Homepage: https://apps.kde.org/fr/kup/
 Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup.git
 Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup
