=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kup-$1\.tar\.gz/ \
  https://github.com/spersson/Kup/releases .*/archive/kup\-(\d\S+)\.tar\.gz
