=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include_directories("../daemon")
 include_directories("../kcm")
-include_directories("../kioslave")
+include_directories("../kioworker")
 include_directories("../settings")
 
 set(filedigger_SRCS
@@ -16,7 +16,7 @@
 restorejob.cpp
 versionlistdelegate.cpp
 versionlistmodel.cpp
-../kioslave/vfshelpers.cpp
+../kioworker/vfshelpers.cpp
 ../kcm/dirselector.cpp
 ../settings/kuputils.cpp
 )
@@ -35,15 +35,16 @@
 ki18n_wrap_ui(filedigger_SRCS restoredialog.ui)
 add_executable(kup-filedigger ${filedigger_SRCS})
 target_link_libraries(kup-filedigger
-Qt5::Core
-Qt5::Gui
-KF5::KIOCore
-KF5::KIOFileWidgets
-KF5::I18n
-KF5::JobWidgets
-KF5::WidgetsAddons
+Qt::Core
+Qt::Gui
+KF${QT_MAJOR_VERSION}::KIOCore
+KF${QT_MAJOR_VERSION}::KIOFileWidgets
+KF${QT_MAJOR_VERSION}::I18n
+KF${QT_MAJOR_VERSION}::JobWidgets
+KF${QT_MAJOR_VERSION}::WidgetsAddons
+KF${QT_MAJOR_VERSION}::XmlGui
 LibGit2::LibGit2
 )
 
 ########### install files ###############
-install(TARGETS kup-filedigger ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kup-filedigger ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
