=== purger/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,11 @@
 
 add_executable(kup-purger ${purger_SRCS})
 target_link_libraries(kup-purger
-Qt5::Widgets
-KF5::I18n
-KF5::CoreAddons
-KF5::XmlGui
+Qt::Widgets
+KF${QT_MAJOR_VERSION}::I18n
+KF${QT_MAJOR_VERSION}::CoreAddons
+KF${QT_MAJOR_VERSION}::XmlGui
 )
 
 ########### install files ###############
-install(TARGETS kup-purger ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kup-purger ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
