=== debian/changelog ===
kup-backup (0.10.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6.
    - Update build depends from cmake.
    - Rules-Requires-Root: no
    - Add qml module runtime depends.
    - Remove gbp.conf

 -- Rik Mills <rikmills@kde.org>  Mon, 12 May 2025 09:41:07 +0100

kup-backup (0.10.0-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release. (Closes: #1033560, #1099034)
  * Update the Homepage in debian/control file.
  * Update maintainer and uploader. (Closes: #1093521)
  * Update watchfile so it can track upstream newest release tarball.
  * Add upstream developer public key.
  * Update dependency list to use Qt6. (Closes: #1091413, #1092835)
  * Default to built with QT6 in debian/rules as suggested by Rik Mills.
  * Update copyright file.
  * Update lintian override file.
  * Add manpage for kup-purger.
  * Update standards version to 4.7.2, no changes needed.
  * Add metadata file.
  * Update VCS-Git and VCS-Browser link.

 -- Benxi Yang <ybx332@gmail.com>  Wed, 02 Apr 2025 11:08:36 +0800

kup-backup (0.10.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Feb 2025 00:10:40 -0600

kup-backup (0.10.0-0ubuntu2) plucky; urgency=medium

   * No-change rebuild for libgit2 (LP: #2089696)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 26 Nov 2024 17:52:39 +0100

kup-backup (0.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (0.10.0)
  * Kubuntu Vcs and maintainer fields.
  * Switch build to Qt6/KF6.
  * Bump standards to 4.7.0
  * Add Qt6/KF6 runtime qml module depends.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 19:20:59 +0000

kup-backup (0.9.1-2) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group. (See: #1093521)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 19 Jan 2025 15:50:22 +0100

kup-backup (0.9.1-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:11:19 +0000

kup-backup (0.9.1-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:20 +0000

kup-backup (0.9.1-1build3) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:36:01 +0100

kup-backup (0.9.1-1build2) lunar; urgency=medium

  * Rebuild against latest libgit2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 21 Jan 2023 18:52:20 -0500

kup-backup (0.9.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libgit2-1.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 23:04:44 +0000
