=== debian/control ===
Source: kup-backup
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules,
               libgit2-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6idletime-dev,
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6solid-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               libplasma-dev,
               libplasma5support-dev,
               libxkbcommon-dev,
               qt6-base-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kup/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kup
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kup
Rules-Requires-Root: no

Package: kup-backup
Architecture: any
Depends: qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bup, rsync,
Description: backup tool for KDE's Plasma desktop
 Kup is a backup tool for KDE's Plasma desktop created for helping people to
 keep up-to-date backups of their personal files.
 .
 Features :
  - Incremental backup archive with the use of "bup".
  - Synchronized folders with the use of "rsync".
  - Support for local filesystem or external usb storage.
  - Monitor availability of backup destination.
  - Integration into KDE's Plasma desktop.
