## kup-backup 0.10.0+p24.04+vstable+git20250930.0454

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20250930.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:54:05 +0000

kup-backup (0.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 May 2024 11:02:14 +0000
