## kup-backup 0.10.0+p24.04+vstable+git20251005.1054

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:37 +0000
