## kup-backup 0.10.0+p24.04+vstable+git20251012.0119

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251012.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:19:26 +0000
