## kup-backup 0.10.0+p24.04+vstable+git20251024.0243

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
 KF${QT_MAJOR_VERSION}::Notifications
 KF${QT_MAJOR_VERSION}::CoreAddons
 KF${QT_MAJOR_VERSION}::DBusAddons
+KF${QT_MAJOR_VERSION}::Crash
 )
 
 ########### install files ###############
