=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 KF${QT_MAJOR_VERSION}::JobWidgets
 KF${QT_MAJOR_VERSION}::WidgetsAddons
 KF${QT_MAJOR_VERSION}::XmlGui
+KF${QT_MAJOR_VERSION}::Crash
 LibGit2::LibGit2
 )
