=== debian/control ===
Source: kup-backup
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-solid-dev,
               libgit2-dev,
               libplasma-dev,
               plasma5support-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/fr/kup/
Vcs-Git: https://invent.kde.org/neon/forks/kup-backup.git
Vcs-Browser: https://invent.kde.org/neon/forks/kup-backup
Maintainer: Neon CI <neon@kde.org>

Package: kup-backup
Architecture: any
Depends: libplasma6, ${misc:Depends}, ${shlibs:Depends}
Recommends: bup, rsync
Description: backup tool for KDE's Plasma desktop
 Kup is a backup tool for KDE's Plasma desktop created for helping people to
 keep up-to-date backups of their personal files.
 .
 Features :
  - Incremental backup archive with the use of "bup".
  - Synchronized folders with the use of "rsync".
  - Support for local filesystem or external usb storage.
  - Monitor availibilty of backup destination.
  - Integration into KDE's Plasma desktop.
