=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kup-$1\.tar\.gz/ \
  https://download.kde.org/stable/kup/kup-(\d\S+).tar.xz
