=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251028.1023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:23:54 +0000
