## kup-backup 0.10.0+p24.04+vstable+git20251231.0340

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251231.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:40:09 +0000
