## kup-backup 0.10.0+p24.04+vstable+git20260103.0603

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20260103.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:03:13 +0000
