## kup-backup 0.10.0+p24.04+vstable+git20260113.0642

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20260113.0642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 06:42:25 +0000
