## kup-backup 0.10.0+p24.04+vunstable+git20251015.1255

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
 WidgetsAddons
 XmlGui
 KCMUtils
+Crash
 )
 
 
@@ -60,6 +61,7 @@
 add_subdirectory(dataengine)
 add_subdirectory(icons)
 add_subdirectory(filedigger)
+add_subdirectory(fileitemaction)
 add_subdirectory(kcm)
 add_subdirectory(kioworker)
 add_subdirectory(purger)
