=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251015.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:55:05 +0000
