## kup-backup 0.10.0+p24.04+vunstable+git20251020.1243

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251020.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:43:25 +0000
