## kup-backup 0.10.0+p24.04+vunstable+git20251110.1254

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251110.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 12:54:15 +0000
