## kup-backup 0.10.0+p24.04+vunstable+git20251123.1132

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251123.1132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:32:38 +0000
