## kup-backup 0.10.0+p24.04+vunstable+git20260104.0309

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20260104.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:09:36 +0000
