=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                kf6-kiconthemes-dev,
                kf6-kidletime-dev,
                kf6-kio-dev,
+               kf6-kirigami-dev,
                kf6-knotifications-dev,
                kf6-solid-dev,
                libgit2-dev,
