## kup-backup 0.10.0+p24.04+vunstable+git20260113.0110

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20260113.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:10:57 +0000
